=== modified file 'configs/testrunner/launchpad-lazr.conf'
--- configs/testrunner/launchpad-lazr.conf	2011-12-23 05:44:32 +0000
+++ configs/testrunner/launchpad-lazr.conf	2011-12-24 02:12:10 +0000
@@ -41,7 +41,6 @@
 # the rw_* configs.
 ro_main_master: dbname=launchpad_ftest_template host=localhost
 ro_main_slave:  dbname=launchpad_ftest_template host=localhost
-randomise_select_results: true
 
 [error_reports]
 oops_prefix: T

=== modified file 'lib/canonical/config/__init__.py'
--- lib/canonical/config/__init__.py	2011-09-26 07:21:53 +0000
+++ lib/canonical/config/__init__.py	2011-12-24 02:12:10 +0000
@@ -412,12 +412,11 @@
     """A class to provide the Launchpad database configuration."""
     _config_section = None
     _db_config_attrs = frozenset([
-        'dbuser', 'auth_dbuser',
-        'rw_main_master', 'rw_main_slave',
-        'ro_main_master', 'ro_main_slave',
+        'dbuser',
+        'rw_main_master', 'rw_main_slave', 'ro_main_master', 'ro_main_slave',
         'db_statement_timeout', 'db_statement_timeout_precision',
-        'isolation_level', 'randomise_select_results',
-        'soft_request_timeout', 'storm_cache', 'storm_cache_size'])
+        'isolation_level', 'soft_request_timeout',
+        'storm_cache', 'storm_cache_size'])
     _db_config_required_attrs = frozenset([
         'dbuser', 'rw_main_master', 'rw_main_slave', 'ro_main_master',
         'ro_main_slave'])

=== modified file 'lib/canonical/config/schema-lazr.conf'
--- lib/canonical/config/schema-lazr.conf	2011-12-23 06:05:20 +0000
+++ lib/canonical/config/schema-lazr.conf	2011-12-24 02:12:10 +0000
@@ -112,15 +112,6 @@
 error_dir: none
 
 
-[calculate_bug_heat]
-# The database user which will be used by this process.
-# datatype: string
-dbuser: calculate-bug-heat
-oops_prefix: none
-error_dir: none
-max_heat_age: 7
-
-
 [canonical]
 # datatype: boolean
 show_tracebacks: False
@@ -526,9 +517,6 @@
 
 
 [database]
-# datatype: boolean
-randomise_select_results: false
-
 # Connection strings, format as per the PQconnectdb connection string as
 # documented at:
 #     http://www.postgresql.org/docs/8.3/static/libpq-connect.html
@@ -744,11 +732,6 @@
 # datatype: string
 componentoverride: none
 
-# The Katie database that should be used to extract extra
-# information from.
-# datatype: string
-katie_dbname: none
-
 # If true, only the source packages are imported and the
 # binary packages ignored.
 # datatype: boolean
@@ -1514,9 +1497,6 @@
 signing_keys_root: /var/tmp/ppa-signing-keys
 
 
-[ppa.master]
-
-
 [ppa_apache_log_parser]
 logs_root: /srv/ppa.launchpad.net-logs
 log_file_glob: *-access.log*

